## r-cran-rsqlite 0.11.2

=== DESCRIPTION ===
Package: RSQLite
Version: 0.11.2
Title: SQLite interface for R
Author: David A. James and Seth Falcon
Maintainer: Seth Falcon <seth@userprimary.net>
Description: Database Interface R driver for SQLite.  This package
        embeds the SQLite database engine in R and provides an
        interface compliant with the DBI package.  The source for the
        SQLite engine (version 3.7.14) is included.
Depends: R (>= 2.10.0), methods, DBI (>= 0.2-5)
Imports: methods, DBI (>= 0.2-3)
Suggests: RUnit (>= 0.4.22)
License: LGPL (>= 2)
Collate: zzz.R S4R.R dbObjectId.R SQLite.R SQLiteSupport.R
Packaged: 2012-09-16 02:59:10 UTC; seth
Repository: CRAN
Date/Publication: 2012-09-16 05:57:50

## r-cran-rsqlite 0.11.1

=== debian/changelog ===
r-cran-rsqlite (0.11.1-1) unstable; urgency=low

  * Team upload.

  [ Carlos Borroto ]
  * Initial release (Closes: #657995)

 -- Charles Plessy <plessy@debian.org>  Wed, 08 Feb 2012 14:01:01 +0900

=== debian/control ===
Source: r-cran-rsqlite
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>
Build-Depends: debhelper (>= 8), autotools-dev, cdbs, r-base-dev (>= 2.10.0), r-cran-dbi, libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://cran.r-project.org/web/packages/RSQLite/
Vcs-Git: git://git.debian.org/git/debian-med/r-cran-rsqlite.git
Vcs-Browser: http://git.debian.org/?p=debian-med/r-cran-rsqlite.git;a=summary

Package: r-cran-rsqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-dbi
Suggests: r-cran-runit
Description: Database Interface R driver for SQLite
 This package embeds the SQLite database engine in R and provides an interface
 compliant with the DBI package. The source for the SQLite engine (version
 3.7.9) is included.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

# Linking against system sqlite3
extraInstallFlags="--configure-args=--with-sqlite-dir=/usr"

# Require a number equal or superior than the R version the package was built with.
install/r-$(debRreposname)-$(cranName)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/r-$(debRreposname)-$(cranName).substvars

## r-cran-rsqlite 0.11.2

=== debian/changelog ===
r-cran-rsqlite (0.11.2-1build1) saucy; urgency=low

  * Rebuild against R 3.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 May 2013 23:13:27 +0100

r-cran-rsqlite (0.11.2-1) unstable; urgency=low

  * Team upload.

  [ Charles Plessy ]
  f5ee542 Imported Upstream version 0.11.2
  f3d29b2 Normalised Debian copyright file with 'cme fix dpkg-copyright'.
  ae58995 Normalise VCS URLs using Lintian's standard.
  ecb9a70 Using Debhelper 9.
  711dd4a Conforms to Policy 3.9.4.
  259c9cc Normalised debian/control with 'cme fix dpkg-control'
  b929db3 Removed obsolete DM-Upload-Allowed field.
  21e7269 Acquire R:Depends directly from r-base-dev.
  1f5c2cc Signal the use of git-buildpackage with a configuration file.
  fa2d407 Indicate that the package is built against Debian's sqlite package.

  [ Carlos Borroto ]
  8650f0e Switched debian/* license to "same as RSQLite"

 -- Charles Plessy <plessy@debian.org>  Wed, 10 Apr 2013 12:44:41 +0900

=== debian/control ===
Source: r-cran-rsqlite
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               cdbs,
               r-base-dev,
               r-cran-dbi,
               libsqlite3-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-cran-rsqlite.git;a=summary
Vcs-Git: git://anonscm.debian.org/debian-med/r-cran-rsqlite.git
Homepage: http://cran.r-project.org/web/packages/RSQLite/

Package: r-cran-rsqlite
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-dbi
Suggests: r-cran-runit
Description: Database Interface R driver for SQLite
 This package embeds the SQLite database engine in R and provides an interface
 compliant with the DBI package. This package is built with the SQLite package
 distributed in Debian, not with the copy included in the CRAN package.

## r-cran-rsqlite 0.11.4

=== DESCRIPTION ===
Package: RSQLite
Version: 0.11.4
Title: SQLite interface for R
Author: David A. James, Seth Falcon, and (for the included SQLite
        sources) the authors of SQLite
Maintainer: Seth Falcon <seth@userprimary.net>
Description: Database Interface R driver for SQLite.  This package
        embeds the SQLite database engine in R and provides an
        interface compliant with the DBI package.  The source for the
        SQLite engine (version 3.7.17) is included.
Depends: R (>= 2.10.0), methods, DBI (>= 0.2-5)
Imports: methods, DBI (>= 0.2-3)
Suggests: RUnit (>= 0.4.22)
License: LGPL (>= 2)
Collate: zzz.R S4R.R dbObjectId.R SQLite.R SQLiteSupport.R
Packaged: 2013-05-25 23:31:12 UTC; seth
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-05-26 08:32:47

=== debian/changelog ===
r-cran-rsqlite (0.11.4-3) unstable; urgency=medium

  * Fix spelling error which really
    Closes: #757597

 -- Andreas Tille <tille@debian.org>  Fri, 05 Sep 2014 12:48:46 +0200

r-cran-rsqlite (0.11.4-2) unstable; urgency=medium

  * Consider a patch that would relax version comparison since the installed
    sqlite version might differ from the version this package was builded
    against but patch is not activated since it might need further
    investigation
  * Fix autopkgtest script
    Closes: #757597

 -- Andreas Tille <tille@debian.org>  Sun, 10 Aug 2014 08:43:44 +0200

r-cran-rsqlite (0.11.4-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jun 2014 08:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-rsqlite
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Carlos Borroto <carlos.borroto@gmail.com>
+Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
+           Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                cdbs,
                r-base-dev,
                r-cran-dbi,
                libsqlite3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-cran-rsqlite.git;a=summary
 Vcs-Git: git://anonscm.debian.org/debian-med/r-cran-rsqlite.git
 Homepage: http://cran.r-project.org/web/packages/RSQLite/
@@ -25,4 +27,3 @@
  This package embeds the SQLite database engine in R and provides an interface
  compliant with the DBI package. This package is built with the SQLite package
  distributed in Debian, not with the copy included in the CRAN package.
-

## r-cran-rsqlite 1.0.0

=== debian/changelog ===
r-cran-rsqlite (1.0.0-2) unstable; urgency=medium

  * Do not check unecessarily for strict version equivalence between compiled
    version and runtime version (Thanks for the patch to Don Armstrong
    <don@debian.org>)
    Closes: #800042

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2015 23:29:57 +0200

r-cran-rsqlite (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Adapt test patches

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 12:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                cdbs,
                r-base-dev,
                r-cran-dbi,
                libsqlite3-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-cran-rsqlite.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rsqlite.git
 Vcs-Git: git://anonscm.debian.org/debian-med/r-cran-rsqlite.git
 Homepage: http://cran.r-project.org/web/packages/RSQLite/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

# Linking against system sqlite3
extraInstallFlags="--configure-args=--with-sqlite-dir=/usr"

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RSQLite_([-0-9\.]*)\.tar\.gz

## r-cran-rsqlite 1.1-2

=== debian/changelog ===
r-cran-rsqlite (1.1-2-1) unstable; urgency=medium

  * New upstream version
  * Remove Carlos Borroto from uploaders

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2017 09:45:23 +0100

r-cran-rsqlite (1.1-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 22:40:03 +0100

r-cran-rsqlite (1.1-1) unstable; urgency=medium

  * New upstream version
  * Deactivate patch for relaxed version checking in the hope that this
    is done properly by upstream now
  * cme fix dpkg-control
  * Switch to dh-r
  * Canonical homepage for CRAN
  * Fix DEP5
  * debhelper 10
  * d/watch: version=4
  * New Builld-Depends:
      r-cran-memoise,
      r-cran-rcpp,
      r-cran-plogr,
      libboost-dev
  * Add r-cran-dbitest to test depends (even if not yet packaged right now)

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 18:16:11 +0100

=== debian/control ===
Source: r-cran-rsqlite
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               autotools-dev,
               dh-r,
               r-base-dev,
               r-cran-dbi,
               libsqlite3-dev,
               r-cran-memoise,
               r-cran-rcpp,
               r-cran-plogr,
               libboost-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rsqlite.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rsqlite.git
Homepage: https://cran.r-project.org/package=RSQLite

Package: r-cran-rsqlite
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Database Interface R driver for SQLite
 This package embeds the SQLite database engine in R and provides an interface
 compliant with the DBI package. This package is built with the SQLite package
 distributed in Debian, not with the copy included in the CRAN package.

## r-cran-rsqlite 2.0

=== DESCRIPTION ===
Package: RSQLite
Version: 2.0
Date: 2017-06-18
Title: 'SQLite' Interface for R
Authors@R: c(
    person("Kirill", "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
    person("Hadley", "Wickham", role = c("aut")),
    person(c("David", "A."), "James", role = "aut"),
    person("Seth", "Falcon", role = "aut"),
    person(family = "SQLite Authors", role = "ctb", comment = "for the included SQLite sources"),
    person("Liam", "Healy", role = "ctb", comment = "for the included SQLite sources"),
    person(family = "R Consortium", role = "cph"),
    person(family = "RStudio", role = "cph")
    )
Description: Embeds the 'SQLite' database engine in R and
    provides an interface compliant with the 'DBI' package. The
    source for the 'SQLite' engine (version 3.8.8.2) is included.
Depends: R (>= 3.1.0)
Suggests: DBItest, knitr, rmarkdown, testthat
Imports: bit64, blob (>= 1.1), DBI (>= 0.4-9), memoise, methods,
        pkgconfig, Rcpp (>= 0.12.7)
LinkingTo: Rcpp, BH, plogr
Encoding: UTF-8
License: LGPL (>= 2)
URL: https://github.com/rstats-db/RSQLite
BugReports: https://github.com/rstats-db/RSQLite/issues
Collate: 'RcppExports.R' 'SQLiteConnection.R' 'SQLiteDriver.R'
        'SQLiteResult.R' 'connect.R' 'copy.R' 'datasetsDb.R'
        'deprecated.R' 'export.R' 'extensions.R' 'query.R' 'rownames.R'
        'table.R' 'transactions.R' 'utils.R' 'zzz.R'
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-06-18 22:12:09 UTC; muelleki
Author: Kirill Müller [aut, cre],
  Hadley Wickham [aut],
  David A. James [aut],
  Seth Falcon [aut],
  SQLite Authors [ctb] (for the included SQLite sources),
  Liam Healy [ctb] (for the included SQLite sources),
  R Consortium [cph],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2017-06-19 11:51:07 UTC

=== debian/changelog ===
r-cran-rsqlite (2.0-2ubuntu1) bionic; urgency=medium

  * Skip large blob test which fails on the autopkgtesters

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 23 Nov 2017 15:08:10 +0000

r-cran-rsqlite (2.0-2) unstable; urgency=medium

  * (Build-)Depends: r-cran-pkgconfig

 -- Andreas Tille <tille@debian.org>  Fri, 15 Sep 2017 19:51:26 +0200

r-cran-rsqlite (2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)
  * New Build-Depends: r-cran-bit64, r-cran-blob, pkg-config
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sun, 03 Sep 2017 00:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: r-cran-rsqlite
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               autotools-dev,
                dh-r,
                r-base-dev,
                r-cran-dbi,
@@ -12,8 +12,11 @@
                r-cran-memoise,
                r-cran-rcpp,
                r-cran-plogr,
+               r-cran-bit64,
+               r-cran-blob,
+               r-cran-pkgconfig,
                libboost-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rsqlite.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/RSQLite_([-0-9\.]*)\.tar\.gz

## r-cran-rsqlite 2.1.1

=== DESCRIPTION ===
Package: RSQLite
Title: 'SQLite' Interface for R
Version: 2.1.1
Date: 2018-05-05
Authors@R: c(
    person("Kirill", "M\u00fcller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org", comment = c(ORCID = "0000-0002-1416-3412")),
    person("Hadley", "Wickham", role = c("aut")),
    person(c("David", "A."), "James", role = "aut"),
    person("Seth", "Falcon", role = "aut"),
    person(family = "SQLite Authors", role = "ctb", comment = "for the included SQLite sources"),
    person("Liam", "Healy", role = "ctb", comment = "for the included SQLite sources"),
    person(family = "R Consortium", role = "fnd"),
    person(family = "RStudio", role = "cph")
    )
Description: Embeds the 'SQLite' database engine in R and
    provides an interface compliant with the 'DBI' package. The
    source for the 'SQLite' engine is included.
License: LGPL (>= 2)
URL: https://github.com/r-dbi/RSQLite
BugReports: https://github.com/r-dbi/RSQLite/issues
Depends: R (>= 3.1.0)
Imports: bit64, blob (>= 1.1.1), DBI (>= 1.0.0), memoise, methods,
        pkgconfig, Rcpp (>= 0.12.7)
Suggests: DBItest, knitr, rmarkdown, testthat
LinkingTo: BH, plogr (>= 0.2.0), Rcpp
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 6.0.1.9000
Collate: 'RcppExports.R' 'SQLiteConnection.R' 'SQLiteDriver.R'
        'SQLiteResult.R' 'coerce.R' 'connect.R' 'copy.R' 'datasetsDb.R'
        'deprecated.R' 'export.R' 'extensions.R' 'names.R' 'query.R'
        'rownames.R' 'table.R' 'transactions.R' 'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2018-05-06 17:03:57 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  David A. James [aut],
  Seth Falcon [aut],
  SQLite Authors [ctb] (for the included SQLite sources),
  Liam Healy [ctb] (for the included SQLite sources),
  R Consortium [fnd],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-05-06 17:55:15 UTC

=== debian/changelog ===
r-cran-rsqlite (2.1.1-2) unstable; urgency=medium

  * Set APPVEYOR=True when running autopkgtest to
    skip large blob test which runs out of memory

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 May 2018 12:06:00 +0000

r-cran-rsqlite (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2018 23:16:21 +0200

r-cran-rsqlite (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sun, 01 Apr 2018 09:58:58 +0200

=== debian/control ===
Source: r-cran-rsqlite
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-bit64,
               r-cran-blob (>= 1.1.1),
               r-cran-dbi (>= 1.0.0),
               r-cran-memoise,
               r-cran-pkgconfig,
               r-cran-rcpp (>= 0.12.7),
               r-cran-plogr (>= 0.2.0),
               libsqlite3-dev,
               libboost-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
Homepage: https://cran.r-project.org/package=RSQLite

Package: r-cran-rsqlite
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Database Interface R driver for SQLite
 This package embeds the SQLite database engine in R and provides an interface
 compliant with the DBI package. This package is built with the SQLite package
 distributed in Debian, not with the copy included in the CRAN package.

## r-cran-rsqlite 2.1.2

=== debian/changelog ===
r-cran-rsqlite (2.1.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use r-cran-bh instead of a patch
  * UTF-8 in test

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jul 2019 15:50:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
+               r-cran-bh,
                r-cran-bit64,
-               r-cran-blob (>= 1.1.1),
+               r-cran-blob (>= 1.2.0),
                r-cran-dbi (>= 1.0.0),
                r-cran-memoise,
                r-cran-pkgconfig,
                r-cran-rcpp (>= 0.12.7),
+               r-cran-bh,
                r-cran-plogr (>= 0.2.0),
-               libsqlite3-dev,
-               libboost-dev
-Standards-Version: 4.1.4
+               libsqlite3-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

## r-cran-rsqlite 2.2.0

=== DESCRIPTION ===
Package: RSQLite
Title: 'SQLite' Interface for R
Version: 2.2.0
Date: 2020-01-07
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org",
             comment = c(ORCID = "0000-0002-1416-3412")),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = c("David", "A."),
             family = "James",
             role = "aut"),
      person(given = "Seth",
             family = "Falcon",
             role = "aut"),
      person(family = "SQLite Authors",
             role = "ctb",
             comment = "for the included SQLite sources"),
      person(given = "Liam",
             family = "Healy",
             role = "ctb",
             comment = "for the included SQLite sources"),
      person(given = "R Consortium",
             role = "fnd"),
      person(family = "RStudio",
             role = "cph"))
Description: Embeds the 'SQLite' database engine in R and
    provides an interface compliant with the 'DBI' package. The source for
    the 'SQLite' engine is included.
License: LGPL (>= 2.1)
URL: https://rsqlite.r-dbi.org, https://github.com/r-dbi/RSQLite
BugReports: https://github.com/r-dbi/RSQLite/issues
Depends: R (>= 3.1.0)
Imports: bit64, blob (>= 1.2.0), DBI (>= 1.1.0), memoise, methods,
        pkgconfig, Rcpp (>= 0.12.7)
Suggests: DBItest (>= 1.7.0), knitr, rmarkdown, testthat
LinkingTo: BH, plogr (>= 0.2.0), Rcpp
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.0.2
Collate: 'RcppExports.R' 'SQLiteConnection.R' 'SQLiteDriver.R'
        'SQLiteResult.R' 'coerce.R' 'connect.R' 'copy.R' 'datasetsDb.R'
        'deprecated.R' 'export.R' 'extensions.R' 'names.R'
        'pkgconfig.R' 'query.R' 'regularExpressions.R' 'rownames.R'
        'table.R' 'transactions.R' 'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2020-01-07 08:18:18 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  David A. James [aut],
  Seth Falcon [aut],
  SQLite Authors [ctb] (for the included SQLite sources),
  Liam Healy [ctb] (for the included SQLite sources),
  R Consortium [fnd],
  RStudio [cph]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2020-01-07 14:30:02 UTC

=== debian/changelog ===
r-cran-rsqlite (2.2.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:42 +0100

r-cran-rsqlite (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 12:05:19 +0100

r-cran-rsqlite (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 13:55:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-bh,
                r-cran-bit64,
                r-cran-blob (>= 1.2.0),
-               r-cran-dbi (>= 1.0.0),
+               r-cran-dbi (>= 1.1.0),
                r-cran-memoise,
                r-cran-pkgconfig,
                r-cran-rcpp (>= 0.12.7),
                r-cran-bh,
                r-cran-plogr (>= 0.2.0),
                libsqlite3-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

## r-cran-rsqlite 2.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RSQLite
 Title: 'SQLite' Interface for R
-Version: 2.2.0
-Date: 2020-01-07
+Version: 2.2.3
+Date: 2021-01-24
 Authors@R: 
     c(person(given = "Kirill",
              family = "M\u00fcller",
@@ -37,18 +37,19 @@
 Depends: R (>= 3.1.0)
 Imports: bit64, blob (>= 1.2.0), DBI (>= 1.1.0), memoise, methods,
         pkgconfig, Rcpp (>= 0.12.7)
-Suggests: DBItest (>= 1.7.0), knitr, rmarkdown, testthat
-LinkingTo: BH, plogr (>= 0.2.0), Rcpp
+Suggests: DBItest (>= 1.7.0), gert, gh, knitr, rmarkdown, hms, rvest,
+        testthat, xml2
+LinkingTo: BH (>= 1.75.0-0), plogr (>= 0.2.0), Rcpp
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Collate: 'RcppExports.R' 'SQLiteConnection.R' 'SQLiteDriver.R'
         'SQLiteResult.R' 'coerce.R' 'connect.R' 'copy.R' 'datasetsDb.R'
         'deprecated.R' 'export.R' 'extensions.R' 'names.R'
         'pkgconfig.R' 'query.R' 'regularExpressions.R' 'rownames.R'
         'table.R' 'transactions.R' 'utils.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2020-01-07 08:18:18 UTC; kirill
+Packaged: 2021-01-24 05:46:34 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
   David A. James [aut],
@@ -59,4 +60,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2020-01-07 14:30:02 UTC
+Date/Publication: 2021-01-24 07:30:03 UTC

=== debian/changelog ===
r-cran-rsqlite (2.2.3-1) unstable; urgency=medium

  * New upstream version
  * Remove debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jan 2021 22:29:17 +0100

r-cran-rsqlite (2.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:09:30 +0100

r-cran-rsqlite (2.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 15:08:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-bit64,
@@ -15,10 +16,11 @@
                r-cran-bh,
                r-cran-plogr (>= 0.2.0),
                libsqlite3-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite
+Rules-Requires-Root: no
 
 Package: r-cran-rsqlite
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-dbitest
Restrictions: allow-stderr

## r-cran-rsqlite 2.2.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RSQLite
-Title: 'SQLite' Interface for R
-Version: 2.2.3
-Date: 2021-01-24
+Title: SQLite Interface for R
+Version: 2.2.9
+Date: 2021-12-06
 Authors@R: 
     c(person(given = "Kirill",
              family = "M\u00fcller",
@@ -28,28 +28,28 @@
              role = "fnd"),
       person(family = "RStudio",
              role = "cph"))
-Description: Embeds the 'SQLite' database engine in R and
-    provides an interface compliant with the 'DBI' package. The source for
-    the 'SQLite' engine is included.
+Description: Embeds the SQLite database engine in R and
+    provides an interface compliant with the DBI package. The source for
+    the SQLite engine is included.
 License: LGPL (>= 2.1)
 URL: https://rsqlite.r-dbi.org, https://github.com/r-dbi/RSQLite
 BugReports: https://github.com/r-dbi/RSQLite/issues
 Depends: R (>= 3.1.0)
 Imports: bit64, blob (>= 1.2.0), DBI (>= 1.1.0), memoise, methods,
-        pkgconfig, Rcpp (>= 0.12.7)
+        pkgconfig, Rcpp (>= 1.0.7)
 Suggests: DBItest (>= 1.7.0), gert, gh, knitr, rmarkdown, hms, rvest,
         testthat, xml2
-LinkingTo: BH (>= 1.75.0-0), plogr (>= 0.2.0), Rcpp
+LinkingTo: plogr (>= 0.2.0), Rcpp
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.1.9001
 Collate: 'RcppExports.R' 'SQLiteConnection.R' 'SQLiteDriver.R'
         'SQLiteResult.R' 'coerce.R' 'connect.R' 'copy.R' 'datasetsDb.R'
         'deprecated.R' 'export.R' 'extensions.R' 'names.R'
         'pkgconfig.R' 'query.R' 'regularExpressions.R' 'rownames.R'
         'table.R' 'transactions.R' 'utils.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2021-01-24 05:46:34 UTC; kirill
+Packaged: 2021-12-06 06:17:31 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
   David A. James [aut],
@@ -60,4 +60,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2021-01-24 07:30:03 UTC
+Date/Publication: 2021-12-06 07:00:02 UTC

=== debian/changelog ===
r-cran-rsqlite (2.2.9-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * [4ab56dd] New upstream version 2.2.9

 -- Nilesh Patra <nilesh@debian.org>  Wed, 29 Dec 2021 01:12:39 +0530

r-cran-rsqlite (2.2.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * No patches needed any more

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 12:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
                r-cran-dbi (>= 1.1.0),
                r-cran-memoise,
                r-cran-pkgconfig,
-               r-cran-rcpp (>= 0.12.7),
-               r-cran-bh,
+               r-cran-rcpp (>= 1.0.7),
                r-cran-plogr (>= 0.2.0),
                libsqlite3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RSQLite_([-0-9\.]*)\.tar\.gz

## r-cran-rsqlite 2.2.16

=== debian/changelog ===
r-cran-rsqlite (2.2.16-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:07:49 +0200

r-cran-rsqlite (2.2.15-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 17:22:28 +0200

r-cran-rsqlite (2.2.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.14
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:27:09 +0530

r-cran-rsqlite (2.2.10-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.2.10
  * d/control: Run cme

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 01:59:32 +0530

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                r-cran-memoise,
                r-cran-pkgconfig,
                r-cran-rcpp (>= 1.0.7),
-               r-cran-plogr (>= 0.2.0),
+               r-cran-plogr,
                libsqlite3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

## r-cran-rsqlite 2.2.19

=== debian/changelog ===
r-cran-rsqlite (2.2.19-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:17:32 +0100

r-cran-rsqlite (2.2.18-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 21:27:39 +0200

r-cran-rsqlite (2.2.17-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 20 Sep 2022 08:38:51 +0200

## r-cran-rsqlite 2.2.20

=== DESCRIPTION ===
Package: RSQLite
Title: SQLite Interface for R
Version: 2.2.20
Date: 2022-12-21
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Hadley", "Wickham", role = "aut"),
    person(c("David", "A."), "James", role = "aut"),
    person("Seth", "Falcon", role = "aut"),
    person("D. Richard", "Hipp", role = "ctb",
           comment = "for the included SQLite sources"),
    person("Dan", "Kennedy", role = "ctb",
           comment = "for the included SQLite sources"),
    person("Joe", "Mistachkin", role = "ctb",
           comment = "for the included SQLite sources"),
    person(, "SQLite Authors", role = "ctb",
           comment = "for the included SQLite sources"),
    person("Liam", "Healy", role = "ctb",
           comment = "for the included SQLite sources"),
    person("R Consortium", role = "fnd"),
    person(, "RStudio", role = "cph")
  )
Description: Embeds the SQLite database engine in R and provides an
    interface compliant with the DBI package. The source for the SQLite
    engine and for various extensions in a recent version is included.
    System libraries will never be consulted because this package relies
    on static linking for the plugins it includes; this also ensures a
    consistent experience across all installations.
License: LGPL (>= 2.1)
URL: https://rsqlite.r-dbi.org, https://github.com/r-dbi/RSQLite
BugReports: https://github.com/r-dbi/RSQLite/issues
Depends: R (>= 3.1.0)
Imports: bit64, blob (>= 1.2.0), DBI (>= 1.1.0), memoise, methods,
        pkgconfig, Rcpp (>= 1.0.7)
Suggests: callr, DBItest (>= 1.7.2.9001), gert, gh, hms, knitr,
        magrittr, rmarkdown, rvest, testthat (>= 3.0.0), withr, xml2
LinkingTo: plogr (>= 0.2.0), Rcpp
VignetteBuilder: knitr
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
Collate: 'RcppExports.R' 'SQLiteConnection.R'
        'SQLKeywords_SQLiteConnection.R' 'SQLiteDriver.R' 'SQLite.R'
        'SQLiteResult.R' 'coerce.R' 'compatRowNames.R' 'copy.R'
        'datasetsDb.R' 'dbAppendTable_SQLiteConnection.R'
        'dbBeginTransaction.R' 'dbBegin_SQLiteConnection.R'
        'dbBind_SQLiteResult.R' 'dbClearResult_SQLiteResult.R'
        'dbColumnInfo_SQLiteResult.R' 'dbCommit_SQLiteConnection.R'
        'dbConnect_SQLiteConnection.R' 'dbConnect_SQLiteDriver.R'
        'dbDataType_SQLiteConnection.R' 'dbDataType_SQLiteDriver.R'
        'dbDisconnect_SQLiteConnection.R'
        'dbExistsTable_SQLiteConnection_character.R'
        'dbFetch_SQLiteResult.R' 'dbGetException_SQLiteConnection.R'
        'dbGetInfo_SQLiteConnection.R' 'dbGetInfo_SQLiteDriver.R'
        'dbGetPreparedQuery.R'
        'dbGetPreparedQuery_SQLiteConnection_character_data.frame.R'
        'dbGetRowCount_SQLiteResult.R'
        'dbGetRowsAffected_SQLiteResult.R'
        'dbGetStatement_SQLiteResult.R' 'dbHasCompleted_SQLiteResult.R'
        'dbIsValid_SQLiteConnection.R' 'dbIsValid_SQLiteDriver.R'
        'dbIsValid_SQLiteResult.R' 'dbListResults_SQLiteConnection.R'
        'dbListTables_SQLiteConnection.R'
        'dbQuoteIdentifier_SQLiteConnection_SQL.R'
        'dbQuoteIdentifier_SQLiteConnection_character.R'
        'dbReadTable_SQLiteConnection_character.R'
        'dbRemoveTable_SQLiteConnection_character.R'
        'dbRollback_SQLiteConnection.R' 'dbSendPreparedQuery.R'
        'dbSendPreparedQuery_SQLiteConnection_character_data.frame.R'
        'dbSendQuery_SQLiteConnection_character.R'
        'dbUnloadDriver_SQLiteDriver.R'
        'dbUnquoteIdentifier_SQLiteConnection_SQL.R'
        'dbWriteTable_SQLiteConnection_character_character.R'
        'dbWriteTable_SQLiteConnection_character_data.frame.R'
        'db_bind.R' 'deprecated.R' 'export.R' 'fetch_SQLiteResult.R'
        'initExtension.R' 'initRegExp.R'
        'isSQLKeyword_SQLiteConnection_character.R'
        'make.db.names_SQLiteConnection_character.R' 'names.R'
        'pkgconfig.R' 'show_SQLiteConnection.R'
        'sqlData_SQLiteConnection.R' 'table.R' 'transactions.R'
        'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2022-12-21 16:45:59 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  David A. James [aut],
  Seth Falcon [aut],
  D. Richard Hipp [ctb] (for the included SQLite sources),
  Dan Kennedy [ctb] (for the included SQLite sources),
  Joe Mistachkin [ctb] (for the included SQLite sources),
  SQLite Authors [ctb] (for the included SQLite sources),
  Liam Healy [ctb] (for the included SQLite sources),
  R Consortium [fnd],
  RStudio [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2022-12-22 09:30:09 UTC

=== debian/changelog ===
r-cran-rsqlite (2.2.20-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.2.20
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:11:04 +0530

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-rcpp (>= 1.0.7),
                r-cran-plogr,
                libsqlite3-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

## r-cran-rsqlite 2.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RSQLite
 Title: SQLite Interface for R
-Version: 2.2.20
-Date: 2022-12-21
+Version: 2.3.1
+Date: 2023-04-03
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -32,26 +32,25 @@
 BugReports: https://github.com/r-dbi/RSQLite/issues
 Depends: R (>= 3.1.0)
 Imports: bit64, blob (>= 1.2.0), DBI (>= 1.1.0), memoise, methods,
-        pkgconfig, Rcpp (>= 1.0.7)
+        pkgconfig
 Suggests: callr, DBItest (>= 1.7.2.9001), gert, gh, hms, knitr,
         magrittr, rmarkdown, rvest, testthat (>= 3.0.0), withr, xml2
-LinkingTo: plogr (>= 0.2.0), Rcpp
+LinkingTo: plogr (>= 0.2.0), cpp11 (>= 0.4.0)
 VignetteBuilder: knitr
 Config/autostyle/scope: line_breaks
 Config/autostyle/strict: false
 Config/testthat/edition: 3
 Encoding: UTF-8
 RoxygenNote: 7.2.3
-Collate: 'RcppExports.R' 'SQLiteConnection.R'
-        'SQLKeywords_SQLiteConnection.R' 'SQLiteDriver.R' 'SQLite.R'
-        'SQLiteResult.R' 'coerce.R' 'compatRowNames.R' 'copy.R'
-        'datasetsDb.R' 'dbAppendTable_SQLiteConnection.R'
-        'dbBeginTransaction.R' 'dbBegin_SQLiteConnection.R'
-        'dbBind_SQLiteResult.R' 'dbClearResult_SQLiteResult.R'
-        'dbColumnInfo_SQLiteResult.R' 'dbCommit_SQLiteConnection.R'
-        'dbConnect_SQLiteConnection.R' 'dbConnect_SQLiteDriver.R'
-        'dbDataType_SQLiteConnection.R' 'dbDataType_SQLiteDriver.R'
-        'dbDisconnect_SQLiteConnection.R'
+Collate: 'SQLiteConnection.R' 'SQLKeywords_SQLiteConnection.R'
+        'SQLiteDriver.R' 'SQLite.R' 'SQLiteResult.R' 'coerce.R'
+        'compatRowNames.R' 'copy.R' 'cpp11.R' 'datasetsDb.R'
+        'dbAppendTable_SQLiteConnection.R' 'dbBeginTransaction.R'
+        'dbBegin_SQLiteConnection.R' 'dbBind_SQLiteResult.R'
+        'dbClearResult_SQLiteResult.R' 'dbColumnInfo_SQLiteResult.R'
+        'dbCommit_SQLiteConnection.R' 'dbConnect_SQLiteConnection.R'
+        'dbConnect_SQLiteDriver.R' 'dbDataType_SQLiteConnection.R'
+        'dbDataType_SQLiteDriver.R' 'dbDisconnect_SQLiteConnection.R'
         'dbExistsTable_SQLiteConnection_character.R'
         'dbFetch_SQLiteResult.R' 'dbGetException_SQLiteConnection.R'
         'dbGetInfo_SQLiteConnection.R' 'dbGetInfo_SQLiteDriver.R'
@@ -80,9 +79,9 @@
         'make.db.names_SQLiteConnection_character.R' 'names.R'
         'pkgconfig.R' 'show_SQLiteConnection.R'
         'sqlData_SQLiteConnection.R' 'table.R' 'transactions.R'
-        'utils.R' 'zzz.R'
+        'utils.R' 'version.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2022-12-21 16:45:59 UTC; kirill
+Packaged: 2023-04-03 09:39:54 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
   David A. James [aut],
@@ -96,4 +95,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2022-12-22 09:30:09 UTC
+Date/Publication: 2023-04-03 11:40:02 UTC

=== debian/changelog ===
r-cran-rsqlite (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 20:36:13 +0200

r-cran-rsqlite (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 12:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-bit64,
-               r-cran-blob (>= 1.2.0),
-               r-cran-dbi (>= 1.1.0),
+               r-cran-blob,
+               r-cran-dbi,
                r-cran-memoise,
                r-cran-pkgconfig,
-               r-cran-rcpp (>= 1.0.7),
                r-cran-plogr,
+               r-cran-cpp11 (>= 0.4.0),
                libsqlite3-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite

## r-cran-rsqlite 2.3.4

=== debian/changelog ===
r-cran-rsqlite (2.3.4-1) unstable; urgency=medium

  * Fix clean target
    Closes: #1046964
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2023 14:14:05 +0100

r-cran-rsqlite (2.3.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                r-cran-dbi,
                r-cran-memoise,
                r-cran-pkgconfig,
+               r-cran-rlang,
                r-cran-plogr,
                r-cran-cpp11 (>= 0.4.0),
                libsqlite3-dev

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_configure:
	# Linking against system sqlite3
	dh_auto_configure -- --configure-args=--with-sqlite-dir=/usr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-dbitest (>= 1.7.2.9001),
        r-cran-gert,
        r-cran-gh,
        r-cran-hms,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-rmarkdown,
        r-cran-rvest,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-rsqlite 2.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RSQLite
 Title: SQLite Interface for R
-Version: 2.3.1
-Date: 2023-04-03
+Version: 2.3.7
+Date: 2024-05-26
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -31,17 +31,18 @@
 URL: https://rsqlite.r-dbi.org, https://github.com/r-dbi/RSQLite
 BugReports: https://github.com/r-dbi/RSQLite/issues
 Depends: R (>= 3.1.0)
-Imports: bit64, blob (>= 1.2.0), DBI (>= 1.1.0), memoise, methods,
-        pkgconfig
-Suggests: callr, DBItest (>= 1.7.2.9001), gert, gh, hms, knitr,
-        magrittr, rmarkdown, rvest, testthat (>= 3.0.0), withr, xml2
+Imports: bit64, blob (>= 1.2.0), DBI (>= 1.2.0), memoise, methods,
+        pkgconfig, rlang
+Suggests: callr, DBItest (>= 1.8.0), gert, gh, hms, knitr, magrittr,
+        rmarkdown, rvest, testthat (>= 3.0.0), withr, xml2
 LinkingTo: plogr (>= 0.2.0), cpp11 (>= 0.4.0)
 VignetteBuilder: knitr
+Config/Needs/website: r-dbi/dbitemplate
 Config/autostyle/scope: line_breaks
 Config/autostyle/strict: false
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Collate: 'SQLiteConnection.R' 'SQLKeywords_SQLiteConnection.R'
         'SQLiteDriver.R' 'SQLite.R' 'SQLiteResult.R' 'coerce.R'
         'compatRowNames.R' 'copy.R' 'cpp11.R' 'datasetsDb.R'
@@ -51,6 +52,7 @@
         'dbCommit_SQLiteConnection.R' 'dbConnect_SQLiteConnection.R'
         'dbConnect_SQLiteDriver.R' 'dbDataType_SQLiteConnection.R'
         'dbDataType_SQLiteDriver.R' 'dbDisconnect_SQLiteConnection.R'
+        'dbExistsTable_SQLiteConnection_Id.R'
         'dbExistsTable_SQLiteConnection_character.R'
         'dbFetch_SQLiteResult.R' 'dbGetException_SQLiteConnection.R'
         'dbGetInfo_SQLiteConnection.R' 'dbGetInfo_SQLiteDriver.R'
@@ -74,14 +76,14 @@
         'dbWriteTable_SQLiteConnection_character_character.R'
         'dbWriteTable_SQLiteConnection_character_data.frame.R'
         'db_bind.R' 'deprecated.R' 'export.R' 'fetch_SQLiteResult.R'
-        'initExtension.R' 'initRegExp.R'
+        'import-standalone-check_suggested.R'
+        'import-standalone-purrr.R' 'initExtension.R' 'initRegExp.R'
         'isSQLKeyword_SQLiteConnection_character.R'
-        'make.db.names_SQLiteConnection_character.R' 'names.R'
-        'pkgconfig.R' 'show_SQLiteConnection.R'
-        'sqlData_SQLiteConnection.R' 'table.R' 'transactions.R'
-        'utils.R' 'version.R' 'zzz.R'
+        'make.db.names_SQLiteConnection_character.R' 'pkgconfig.R'
+        'show_SQLiteConnection.R' 'sqlData_SQLiteConnection.R'
+        'table.R' 'transactions.R' 'utils.R' 'version.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2023-04-03 09:39:54 UTC; kirill
+Packaged: 2024-05-26 19:25:39 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
   David A. James [aut],
@@ -95,4 +97,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-04-03 11:40:02 UTC
+Date/Publication: 2024-05-27 10:10:07 UTC

=== debian/changelog ===
r-cran-rsqlite (2.3.7-2) unstable; urgency=medium

  * Team upload.
  * d/test/run-unit-test: Don't set LC_ALL. Closes: #1072632

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Jul 2024 13:22:47 +0200

r-cran-rsqlite (2.3.7-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Jun 2024 08:49:32 +0900

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                r-base-dev,
                r-cran-bit64,
                r-cran-blob,
-               r-cran-dbi,
+               r-cran-dbi (>= 1.2.0),
                r-cran-memoise,
                r-cran-pkgconfig,
                r-cran-rlang,
                r-cran-plogr,
                r-cran-cpp11 (>= 0.4.0),
                libsqlite3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
 Homepage: https://cran.r-project.org/package=RSQLite

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-callr,
-        r-cran-dbitest (>= 1.7.2.9001),
+        r-cran-dbitest (>= 1.8.0),
         r-cran-gert,
         r-cran-gh,
         r-cran-hms,
